Subject: Re: bug#62751: 29.0.90; New libraries that still need to be assigned to packages

From: Stefan Kangas <[email-masked]>
Date: Sat, 23 Sep 2023 04:35:21 -0700

Stefan Monnier <[email-masked]> writes:

>>> You're not wrong, but they were obsoleted in 24.5 and 25.1.  So it's
>>> like above, but the dates are in 2025 and 2026, or something like that.
>
> BTW, what about `sit-for`s obsolete calling convention (obsoleted in 22.1)?

Yeah, it's probably time to remove it.

Don't forget to also remove this part in (info "(elisp) Waiting"):

     It is also possible to call ‘sit-for’ with three arguments, as
     ‘(sit-for SECONDS MILLISEC NODISP)’, but that is considered
     obsolete.